BookmarkSubscribeRSS Feed
sam1231
Obsidian | Level 7

Hi All

 

I am trying to install OLEDB on my windows 64 bit. I downloaded latest package of OLEDB. I have below questions.

 

1.) How can i check if i have OLEDB installed or not? PROC SETINIT;QUIT; shows OLEDB in log if its installed?

2.) I have sas 9.4 already installed. Do i need to uninstall sas 9.4 before installing OLEDB?

3.) I am not able to change location for OLEDB installation since its grey.  

Capture.PNG 

 

Download README mention

Note: You should not select a SAS Home where SAS software already exists. Software from the
download page should be installed in a clean SAS Home.

 

Please let me know how can i download OLEDB successfully ?

 

Thanks,

Sam

4 REPLIES 4
Anand_V
Ammonite | Level 13

Hi @sam1231 

 

1) If you have SAS/Access to OLE DB licensed, then it should be there in the proc set-init output.

2) You can add on SAS Software on top of the currently installed software.

3) The path in the snap is pointing to your SAS-Home. By default all the binaries would get installed in this location. If you already have SAS Software installation, SAS Deployment Wizard is intelligent enough to pick this location and add to it.

 

System requirements for OLE DB:

(http://support.sas.com/documentation/installcenter/en/ikfdtnwx6sr/66390/PDF/default/sreq.pdf)

 

SAS/ACCESS Interface to OLE DB
Base SAS software is required for the installation of SAS/ACCESS Interface to OLE DB.
DBMS Product Required: An OLE DB data source provider
Before you can use SAS/ACCESS Interface to OLE DB software, an OLE DB provider for the data
source where you want to access data is required. OLE DB providers are often available from DBMS
vendors and other third-party software vendors.
The OLE DB provider that you select might require additional DBMS software for network access. All
required network software supplied by your database system vendor must be 64-bit-compliant. The
64‐bit version of the OLE DB provider is required for the data source

 

You can find SAS Providers for OLE DB here - https://support.sas.com/downloads/browse.htm?fil=&cat=64

Download the one specific to your SAS Version.

 

Once you have verified that the pre-requirements and all the required software is in place, you can find the instructions here to establish connectivity. https://documentation.sas.com/?docsetId=bidsag&docsetTarget=n0gu0ue4ptm3ocn1iw6tzw4tb9pt.htm&docsetV...

 

Hope this helps!

sam1231
Obsidian | Level 7

Hi @ananad_v, 

 

I am not able to install OLEDB. it gives me below error

Capture.PNG

 

Do i need to uninstall SAS first?

 

Thanks,

Sam

ballardw
Super User

@sam1231 wrote:

Hi @ananad_v, 

 

I am not able to install OLEDB. it gives me below error

Capture.PNG

 

Do i need to uninstall SAS first?

 

Thanks,

Sam


That appears to show SAS OLE DB already installed.

Anand_V
Ammonite | Level 13

Hi @sam1231 

 

This isn't error, its a warning by SAS Deployment Wizard which detected that the order you are using to install has components that are of a older version when compared to the ones already installed.

 

You will have to choose the correct version depending on the software already installed. You can find the exact version of your software (along with maintenance release version) in the output generated by PROC SETINIT;

 

suga badge.PNGThe SAS Users Group for Administrators (SUGA) is open to all SAS administrators and architects who install, update, manage or maintain a SAS deployment. 

Join SUGA 

Get Started with SAS Information Catalog in SAS Viya

SAS technical trainer Erin Winters shows you how to explore assets, create new data discovery agents, schedule data discovery agents, and much more.

Find more tutorials on the SAS Users YouTube channel.

Discussion stats
  • 4 replies
  • 1704 views
  • 0 likes
  • 3 in conversation